Package ch.qos.logback.core.boolex

## Interface EventEvaluator<E>

All Superinterfaces:
  `ContextAware`, `LifeCycle`

All Known Implementing Classes:
  `EventEvaluatorBase`, `GEventEvaluator`, `JaninoEventEvaluator`, `JaninoEventEvaluator`, `JaninoEventEvaluatorBase`, `OnErrorEvaluator`, `OnMarkerEvaluator`, `URLEvaluator`

    public interface EventEvaluator<E>
    extends ContextAware, LifeCycle

Evaluates whether a given an event matches user-specified criteria.

Implementations are free to evaluate the event as they see fit. In particular, the evaluation results may depend on previous events.

Author:
  Ceki Gülcü

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `evaluate​(E event)` Evaluates whether the event passed as parameter matches some user-specified criteria.
`java.lang.String` `getName()` Evaluators are named entities.
`void` `setName​(java.lang.String name)` Evaluators are named entities.

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Methods inherited from interface ch.qos.logback.core.spi.LifeCycle

`isStarted, start, stop`

### Method Detail

#### evaluate

    boolean evaluate​(E event)
              throws java.lang.NullPointerException,
                     EvaluationException

Evaluates whether the event passed as parameter matches some user-specified criteria.

The `Evaluator` is free to evaluate the event as it pleases. In particular, the evaluation results may depend on previous events.

Parameters:
  `event` - The event to evaluate
Returns:
  true if there is a match, false otherwise.
Throws:
  `java.lang.NullPointerException` - can be thrown in presence of null values
  `EvaluationException` - may be thrown during faulty evaluation

#### getName

    java.lang.String getName()

Evaluators are named entities.

Returns:
  The name of this evaluator.

#### setName

    void setName​(java.lang.String name)

Evaluators are named entities.